Bug 602866 - can't add JUnit4 to project
can't add JUnit4 to project
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eclipse (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Andrew Overholt
Michal Nowak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 17:58 EDT by Andrew Overholt
Modified: 2013-03-07 21:10 EST (History)
3 users (show)

See Also:
Fixed In Version: eclipse-3.5.2-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:08:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2010-06-10 17:58:28 EDT
(This is a clone of bug #601059 which also affects RHEL.)

Description of problem:
I can't add JUnit 4 library to a project's build path. Eclipse says about the
library: "Current Location: Not Found". OTOH, there's no problem to add JUnit 3
library.

Version-Release number of selected component (if applicable):
eclipse-jdt 3.5.2 1.fc13

How reproducible:
Easy, always

Steps to Reproduce:
1. Start Eclipse
2. Create a project
3. Project -> Properties -> Java Build Path -> Add Library -> JUnit -> JUnit
library version: JUnit 4 -> Finish

Actual results:
Cannot add JUnit 4

Expected results:
JUnit4 added

Additional info:
It broke with some update sometimes in the age of Fedora 12. I could not solved
it so I moved to upstream Eclipse which worked for me. Yesterday I installed a
fresh clean Fedora 13 system, tried its Eclipse, and faced the problem again.
Luckily I've found help at
http://forums.fedoraforum.org/showthread.php?t=240886. The workaround is to
install the eclipse-pde package.
Comment 2 RHEL Product and Program Management 2010-06-10 18:23:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 releng-rhel@redhat.com 2010-11-10 17:08:37 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.